export declare class Column {
    id: string;
    protected settings: any;
    title: string;
    type: string;
    class: string;
    width: string;
    isSortable: boolean;
    isEditable: boolean;
    isVisibled: boolean;
    isRequired: boolean;
    sortDirection: string;
    defaultSortDirection: string;
    filter: boolean;
    renderComponent: any;
    renderComponentExpanded: any;
    compareFunction: Function;
    valuePrepareFunction: Function;
    onComponentInitFunction: Function;
    lineClamp: boolean;
    private _filters;
    private _displayedFilters;
    private _editor;
    constructor(id: string, settings: any);
    get editor(): any;
    get filters(): any[];
    set filters(val: any[]);
    get displayedFilters(): any[];
    set displayedFilters(val: any[]);
    searchDisplayedFilters(term: string): void;
    selectAllFilters(): void;
    removeAllFilters(): void;
    getOnComponentInitFunction(): Function;
    getOnComponentInitFunctionExpanded(): Function;
    getCompareFunction(): Function;
    getValuePrepareFunction(): Function;
    getConfig(): any;
    getValidators(): any;
    protected process(): void;
    prepareType(): string;
    prepareSortDirection(): string;
    determineType(): string;
}
